org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraphGraphSONSerializerV1d0

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.structure.util.star.StarGraphGraphSONSerializerV1d0

-     public class StarGraphGraphSONSerializerV1d0
      extends <any>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarGraphGraphSONSerializerV1d0(boolean normalize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(DirectionalStarGraph starGraph, JsonGenerator jsonGenerator, SerializerProvider serializerProvider)`
    `void` | `serializeWithType(DirectionalStarGraph starGraph, JsonGenerator jsonGenerator, SerializerProvider serializerProvider, TypeSerializer typeSerializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StarGraphGraphSONSerializerV1d0

          public StarGraphGraphSONSerializerV1d0(boolean normalize)

  - ### Method Detail

    - #### serialize

          public void serialize(DirectionalStarGraph starGraph,
                                JsonGenerator jsonGenerator,
                                SerializerProvider serializerProvider)
                         throws IOException,
                                JsonGenerationException

      Throws:
        `IOException`
        `JsonGenerationException`

    - #### serializeWithType

          public void serializeWithType(DirectionalStarGraph starGraph,
                                        JsonGenerator jsonGenerator,
                                        SerializerProvider serializerProvider,
                                        TypeSerializer typeSerializer)
                                 throws IOException,
                                        JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.